import { BaseCatalogChart } from './base';
import { ApiObject, GroupVersionKind } from 'cdk8s';
export declare class CatalogUserChart extends BaseCatalogChart {
    template(): {
        apiVersion: string;
        kind: string;
        metadata: {
            name: string;
            annotations: {
                [key: string]: string;
            };
        };
        spec: {
            profile: import("../../claims/base/user").IUserClaimProfile;
            memberOf: string[];
        };
    };
    instanceApiObject(template: any): ApiObject;
    gvk(): GroupVersionKind;
}
